Как стать автором
Обновить

Комментарии 16

Сегодня открыл проект на LiveStreet, PhpStorm сказал что это похоже на плагин для WordPress и предложил включить поддержку.
Попробовал — не получилось повторить на PhpStorm 8 EAP 136.1575. А можно подробности? Открываете весь LiveStreet или конкретный модуль? Какая-то специфичная сборка может быть? С официального сайта пробовал дистрибутив.
Открываю весь LiveStreet, но конечно он доработан и версия не свежая. Чистый дистрибутив с сайта попробовал, открывается корректно.
Нашел причину, плагин для админки aceAdminPanel
Вот это вообще офигеть как круто! Просто нет слов. Ребята из ДжетБрейнс, вы просто боги!
Лучше бы поддержку laravel добавили.
Поддержка Blade планируется в PhpStorm 8 и уже находится в разработке (http://youtrack.jetbrains.com/issue/WI-14172), можно также голосовать за поддержку самого фреймворка (http://youtrack.jetbrains.com/issue/WI-17667).

И еще в PhpStorm 7 мы поддержали laravel command-line tool artisan (http://blog.jetbrains.com/phpstorm/2013/09/command-line-tools-based-on-symfony-console-doctrine-laravel-in-phpstorm/).
А для Joomla такое счастье не планируется?
Пока не планируется, на самом деле у нас пока не было конкретных запросов от пользователей в нашем issue tracker с указанием того, каких фич для Joomla не хватает. Будем рады, если добавите.
А где WP Coding Standards (http://codex.wordpress.org/WordPress_Coding_Standards)?
в статье написано об этом
JetBrains конечно молодцы! Не так давно еще была актуальная 4 версия, так за два года так разогнались что стали выпускать новые версии как метеор =) Причем в каждой версии новые вкусности.

Но есть одна причина по которой я перешел на Eclipse — там шрифты выглядят точно также как и в остальных приложениях. Для PhpStorm же так и не получилось выставить сносные настройки чтобы глаза не уставали от них.
Все это на 64-битном Linux
Я тоже выскажу свое «фи» в пользу шрифтов: на маке глаза устают очень быстро да и просто шрифты режут глаз. А в целом вы молодцы!
А под какой JRE у вас запускается PHPStorm (есть в About окне)? Под 1.7 действительно есть проблемы с отображением, а под 1.6 вроде все как везде.
Не мучайтесь, поставьте себе уже OpenJDK с патчами от infinality — шрифты выглядят намного лучше.
Идеи можно черпать отсюда и отсюда.
А можно узнать про поддержку .ssh/config — WI-12463 и IDEA-58722 три года ждем ;(
Только полноправные пользователи могут оставлять комментарии. Войдите, пожалуйста.